
#ifndef LINEARNODES_H
#define LINEARNODES_H

class LinearNodes {

public:

	float startx, starty, xsize, ysize;

	LinearNodes() { };

	void Init(float sx, float sy, float xs, float ys) {
		startx = sx; starty = sy; xsize = xs; ysize = ys;
	};


	void Draw() { 
	
		glMatrixMode(GL_PROJECTION);
		glLoadIdentity();
		gluOrtho2D(-1.0,(float)(G1.maxlinearx),-1.0,10.0);
				// left, right, bottom, top
		glViewport(startx, starty, xsize, ysize);
				// startx, starty, xsize, ysize
				// coordinates begin from lower left corner of window		

	    glMatrixMode(GL_MODELVIEW);
		glLoadIdentity();	

	    glDisable(GL_TEXTURE_2D);
		glDisable(GL_LIGHTING);

		glPushMatrix();
		G1.DrawLinear();
		glPopMatrix();
	
	};

};


#endif

